<script type="text/javascript">

function popupCenter(pageURL, title, w, h) {
    var left = (screen.width / 2)  - (w / 2);
    var top  = (screen.height / 2) - (h / 2);
    var targetWin = window.open(pageURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, copyhistory=no, width=800, height=800, top='+top+', left='+left);
}
</script>
<?php
$day = date('D', strtotime($dt));
$chflag=0;
$_SESSION['fn'] = 1;
$lesson=$kath=$ebdomi=$apone=$rme=$ls=array();
//***************************** dimiourgia array gia ensomatosi allagon
include "allagiproganapl.php";  
//*********************************************************************

$gym=$_SESSION['gym'];

$anp=5;//arithmos mathimaton gia mi anaplirosi

$sqanapl=$dbcon->prepare("SELECT * from apousieskath where datefrom <='$dt' and dateto >=$dt");
$sqanapl->execute([$dt]);
$apontes=array();
$i=1;
while ($rowa=$sqanapl->fetch(PDO::FETCH_ASSOC))
{
  $apontes[$i]=$rowa['pmp'];
  $i++;	
}

// make array with all teachers in the day
$result=mysqli_query($con,"SELECT * FROM dailytab ");

$k=1;
while($row=mysqli_fetch_array($result))
{
  $notallblank=0;
  $cnt=0;
  if (! in_array($row['pmp'],$apontes))
  {
	 $kathid[$k]=$row['id'];
	 $kath1[$k]=$row['Teacher'];
	 $pmp[$k]=$row['pmp'];
	 $sqlanapl=mysqli_query($con,"SELECT totanapl FROM teachers WHERE PMP='$pmp[$k]' AND access=1 ");
	 if (mysqli_num_rows($sqlanapl) > 0)
	 {
	   $rowan=mysqli_fetch_array($sqlanapl);
	   $tota[$k]=$rowan['totanapl'];
	   $sqnumanapl=mysqli_query($con,"select COUNT(tid) as canapl from anaplirosi where tid='$kathid[$k]' and period <> 7 ");
	   $rowan1=mysqli_fetch_array($sqnumanapl);
	   $numa[$k]=$rowan1['canapl'];
       for($i=1;$i<=$gym;$i++)
       {
	     $in="day".$i;
         $l1=$row["$in"];
	     if ($l1 <> NULL or $l1 <> "" ) 
	     {
		   $allclass[$k][$i]=$l1;
	       $notallblank=1;
		   $cnt++;	
	     }
	     else
	     {$allclass[$k][$i]="";}
       }
       if ($notallblank==1 AND $cnt < $anp)  {$k++;}
     }
  }
  $row=mysqli_fetch_array($result);
}
$k=$k-1; 
?><h3> ΔΙΑΘΕΣΙΜΟΙ ΚΑΘΗΓΗΤΕΣ ΓΙΑ ΑΝΑΠΛΗΡΩΣΗ/ΑΝΑ ΠΕΡΙΟΔΟ</h3> <?php
// emfanise ton pinaka diathesimon kathigiton ana periodo
echo "<table style='width:800px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#FFAF80' >
<th>ID</th>
<th>Εκπαιδευτικός</th>";
for ($i=1;$i<=$gym;$i++)
{
	$titep="Περ".$i;
	echo "<th>".$titep."</th>";
}
echo "<th>Αναπλ.</th>
<th>Μεγ. Αρ.</th>
</tr>";

$j=1;
$colr=[white,red,green,cyan,yellow,beige,magenda,white,orange,blue];
while($j <= $k) 
{
  echo "<tr>";
  echo "<td>".$kathid[$j];
  echo "<td>".$kath1[$j];
  for($i=1;$i<=$gym;$i++)  {
	if ($allclass[$j][$i] == NULL)	
	{
	  echo "<td bgcolor='".$colr[$i]."'>".$allclass[$j][$i];	
	}
	else 
	{ 	
	   echo "<td bgcolor='white'>".$allclass[$j][$i];    } 
	}
	echo "<td>".$numa[$j]."</td>";
	echo "<td>".$tota[$j]."</td>";
	echo "</tr>";	
   $j++;
}   
echo "</table>";

array_multisort($numa, $allclass);
$tk=$ka;
$r=1;
$sqanapl=mysqli_query($con,"SELECT * FROM anaplirosi where date='$dt' ");
$anapl=array();
while ($rowa = mysqli_fetch_array($sqanapl))
{
    $p=$rowa['period'];
	if ($p==$gym)
	{
	   $arr=explode("[",$rowa['mathima']);
	   $tm=rtrim(ltrim($arr[0]));
	   if (!in_array($tm,$ebdomi))
	   {
	       $anapl[$rowa['aponid']][$rowa['period']]=$rowa['tid'];
	   }
	}
	else
	{
		$anapl[$rowa['aponid']][$rowa['period']]=$rowa['tid'];	
	}
	   
}
//**************
$ka=1;
$r=1;
if(!empty($apontes))
{
foreach($apontes as $teach)
{  
   $result = $dbcon->prepare("SELECT * FROM dailytab WHERE pmp=?");
   $result->execute([$teach]);
   $row=$result->fetch(PDO::FETCH_ASSOC);
   
   $id=$row['id'];
   $id1=$id+1;
   $idteach[$ka]=$id;
   $kath[$ka]=$row['Teacher'];
   $ap[$ka]=$row['pmp'];
   $result1 = $dbcon->prepare("SELECT * FROM dailytab WHERE id=?");
   $result1->execute([$id1]);
   $row1=$result1->fetch(PDO::FETCH_ASSOC);
   $i=1;
   while ($i<=$gym) 
   {
      $in="day".$i;
      $l1=$row["$in"];
      $l2=$row1["$in"];
	  $rm=explode("/",$l2);
	  $room=$rm[0];
      $lesson[$ka][$i]= rtrim(ltrim($l1));
	  if ($lesson[$ka][$i]==" " or $lesson[$ka][$i]==NULL){$lesson[$ka][$i]="";} else {
		  $lesson[$ka][$i]=$lesson[$ka][$i]." [".$room."]";}
	  $ls[$id][$i]=$lesson[$ka][$i]; 
	  $lesson[$ka+1][$i]= rtrim(ltrim($l2));
      $i++;
   }
  $ka=$ka+2;
  $r++;  
  }

$ka=$ka-1;
$tk=$ka;
//**************

?>
<form method="POST" action="anapleggrafi.php" >
<input type="hidden" name="ka1" value="<?php echo $tk; ?>">
<h3> ΕΠΙΛΟΓΗ ΑΝΑΠΛΗΡΩΤΩΝ ΚΑΘΗΓΗΤΩΝ </h3>

<?php
echo "<p>";
echo "Όταν ο καθηγητής δεν απουσιάζει σε κάποια περίοδο βάλε "."<b>"."!"."</b>"."  στο αντίστοιχο κελί"."<br>";
echo "Για στηρίξεις-αλλόγλωσσους που παραμένουν στα τμήματα τους βάλε "."<b>"."999"."</b>"." στο αντίστοιχο κελί"."<br>";
echo "Για εκδήλωση σε κάποια περίοδο βάλε "."<b>"."ΔΔΚ"."</b>"."  στο αντίστοιχο κελί"."<br>";
echo "Για αναπλήρωση σε δύο ή περισσότερα τμήματα  βαλε + μετά το id του αναπληρωτη σε κάθε ένα τμήμα";
echo "</p>";
echo "<table style='width:900px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#66CC99' >
<th>Α/Α</th>
<th> Εκπαιδευτικός</th>";
for ($i=1;$i<=$gym;$i++)
{
	$titep="Περ".$i;
	echo "<th>".$titep."</th>";
}
echo "</tr>";

$anaplir=array();
for ($ka=1;$ka<=$tk;$ka++)
{
  
  if ($lesson[$ka][$gym]<> "") 
  {
	$idt=$idteach[$ka];
	$sqz=mysqli_query($con,"select * from allages where date='$dt' and idteacher='$idt' ");
	$rowz=mysqli_fetch_array($sqz);
	if (trim($rowz['last']) <> '*')
	{
	  if ($ls[$idt][$gym] <> $lesson[$ka][$gym])
	  {
		  $ar=explode("[",$lesson[$ka][$gym]);
		  $les=$ar[0];
		  $fe=count($ebdomi); 
		  $m=$fe+1;
		  $ebdomi[$m]=$les;
		  $rme[$m]=rtrim($ar[1],")");
		  $apone[$m]=$idt;
	  }
	}
  }
 echo "<tr>";
 echo "<td>".$r. "</td>";
 $kathg=$ap[$ka];
 $kathn=$kath[$ka];
 $arr=explode("[",$lesson[$ka][$i]);
 echo "<input type='hidden' name='kath[$ka]'  value='".$kathg."' size='15'>";
 echo "<input type='hidden' name='kathn[$ka]'  value='".$kathn."' size='15'>";
 echo "<td>".$kathn."(".$idteach[$ka].")"."</td>";
 $i=1;
 while($i<=$gym)
     {
		 $arr=explode("[",$lesson[$ka][$i]);
		 $lesnx=$arr[0];
	     ?>
		 <td><b>
         <a href="#" onClick="popupCenter('psynd.php?syndx=<?php echo $lesnx; ?>')" style="text-decoration:none;"><?php echo $lesson[$ka][$i];?></a>
		 </b></td>
         <?php	 
         echo "<input type='hidden' name='lesson1[$ka][$i]'  value='".$lesson[$ka][$i]."' size='15'>"; 
	     $i++;	 
	 } 
 echo "</tr>";
 
 // second row to input anaplirotes
 echo "<tr>";
 echo "<td>". "   " . "</td>";
 echo "<td>". "   " . "</td>";
 $i=1;
 while($i<=$gym)
  {
	  $ar=$anapl[$idteach[$ka]][$i];
	  if ($lesson[$ka][$i] <> "")
	  {
	    echo "<td style='background-color:#F00;'><input type='text' name='anaplir[$ka][$i]' value='$ar' size='15' >"."</td>";
	  }
	  else
	  {
		echo "<td>"."<input type='text' name='anaplir[$ka][$i]'  size='15' >"."</td>";
	  }
	 $i++;
  } 
 echo "</tr>"; 
 
  $ka++;
  $r++;  
  }
echo "</table>";

/// pinakas gia anapliroseis ebdomis periodou
$anaplir=array();
$fe=count($ebdomi);
if ($fe > 0)
{
?>
<br>
<h3> Για τις παρουσίες 7ης Περιόδου </h3>
<?php
$sqanapl=mysqli_query($con,"SELECT * FROM anaplirosi where date='$dt' and period='$gym' and pmpapon <> 0 ");
$anapl=array();
$n=mysqli_num_rows($sqanapl);
$i=1;
while ($rowa = mysqli_fetch_array($sqanapl))
{
  if(trim($rowa['tid']) <> '!' or $rowa['teacher']<>"")
  {
     $anapl[$i]=$rowa['tid'];
     $i++;
  }
}




echo "<table class='myTable' bgcolor='#66CC99'>
<tr style='border:1px solid black' >
</tr>";
 echo "<tr>";
 echo "<td>"."<input type='text' value='ΤΜΗΜΑ-ΜΑΘΗΜΑ' >"."</td>";
 $i=1;
 while($i<=$fe)
     {
     echo "<td>"."<input type='text' name='ebdomi[$i]'  value='".$ebdomi[$i]."' size='15'>"."</td>";
     echo "<input type='hidden' name='apone[$i]'  value='".$apone[$i]."' >";
	 $i++;	 } 
 echo "</tr>";
 
 // second row to input anaplirotes
 echo "<tr>";
 echo "<td>"."<input type='text' value='ΠΑΙΡΝΕΙ ΠΑΡΟΥΣΙΕΣ' >"."</td>";
 $i=1;
 while($i<=$fe)
     {
	  echo "<td>"."<input type='text' name='anaplire[$i]' value='".$anapl[$i]."' size='15' >"."</td>";
	 $i++;
	 } 
 echo "</tr>"; 
 // third row to input aithouses
 echo "<tr>";
 echo "<td>"."<input type='text' value='ΑΙΘΟΥΣΑ' >"."</td>";
 $i=1;
 while($i<=$fe)
     {
	  echo "<td>"."<input type='text' name='rme[$i]' value='".$rme[$i]."' size='15' >"."</td>";
	  echo "<input type='hidden' name='evdfrom[$i]'  value='".$evdfrom[$i]."' >";
	 $i++;
	 } 
 echo "</tr>"; 
echo "</table>";
}

?>
<br>
<input type="Submit" name="Submitanapl" value="Καταχώρηση Αναπληρώσεων ">
<input type="button" value="Ημερήσιο πρόγραμμα" onclick="window.open('dailyprog.php','','width=900,height=900')" />
<input type="button" value="Διδάσκοντες σε Τμήμα" onclick="window.open('pedomadatmima.php','','width=900,height=900')" />
<input type="button" value="Εφημερεύοντες" onclick="window.open('efimeriesday.php','','width=900,height=900')" />
<input type="button" value="ΒΟΗΘΕΙΑ 7Ης περ" onclick="window.open('files/efimer7.pdf'); return false;" target="_blank" />
</form>
<?php
}
else
{
mysqli_query($con,"delete from anaplirosi where date='$dt'");
header("Location: anapleggrafi.php");	
}
